Video Translate
Update Video Translation
Updates the display title of a video translation job.
PATCH
/
v3
/
video-translations
/
{video_translation_id}
Update Video Translation
curl --request PATCH \
--url https://api.heygen.com/v3/video-translations/{video_translation_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"title": "<string>"
}
'import requests
url = "https://api.heygen.com/v3/video-translations/{video_translation_id}"
payload = { "title": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>'})
};
fetch('https://api.heygen.com/v3/video-translations/{video_translation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"title": "<string>",
"output_language": "<string>",
"input_language": "<string>",
"duration": 123,
"translate_audio_only": true,
"video_url": "<string>",
"audio_url": "<string>",
"srt_caption_url": "<string>",
"vtt_caption_url": "<string>",
"callback_id": "<string>",
"created_at": 123,
"failure_message": "<string>"
}
}{
"error": {
"code": "invalid_parameter",
"message": "At least one field must be provided for update.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "authentication_failed",
"message": "Invalid or expired API key. Verify your x-api-key header.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "not_found",
"message": "Video translation not found.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Retry after the duration specified in the Retry-After header.",
"param": null,
"doc_url": null
}
}Authorizations
ApiKeyAuthBearerAuth
HeyGen API key. Obtain from your HeyGen dashboard.
Path Parameters
Unique video translation identifier
Body
application/json
Request body for PATCH /v3/video-translations/{id}.
New title for the video translation
Response
Successful response
Detailed video translation resource.
Show child attributes
Show child attributes
Previous
List supported translation languagesReturns all supported target language names for video translation.
Next
⌘I
Update Video Translation

